doctype xml
mixin url(path, freq, priority)
  url
    loc #{config.url}#{path}
    changefreq= freq
    priority= priority

urlset(xmlns="http://www.sitemaps.org/schemas/sitemap/0.9", xmlns:xhtml="http://www.w3.org/1999/xhtml")
  +url("/index.html", "daily", "1.0")
  for cat in categories
    +url(`/category/${cat.key}.html`, "weekly", "0.75")
  for entry in items
    +url(`/item/${entry.itemId}.html`, "monthly", "0.5")
